/*
Bootstrap:
 - Extra small devices Phones (<768px)
 - Small devices Tablets (≥768px)
 - Medium devices Desktops (≥992px)
 - Large devices Desktops (≥1200px)
*/
html, body {
  height:100%;
}
body {
  font-family:'Roboto', Arial, Tahoma, sans-serif;
  font-size:13px;
  font-weight:400;
  line-height:1.471;
  background:#E9E9E9;
  color:#73879C;
}

a {
  text-decoration:none;
  color:#5A738E;
}
a, a:visited, a:focus, a:active, :visited, :focus, :active,
.btn:focus, .btn:active:focus, .btn.active:focus, .btn.focus, .btn:active.focus, .btn.active.focus {
  outline:0;
}
a:hover, a:focus {
  text-decoration:none;
}

/*** SIDEBAR ***/
nav.left_col {
  display:none;
  width:230px;
  height:100%;
  min-height:100%;
  background:linear-gradient(#334556, #2C4257), #2A3F54;
  box-shadow:0 2px 10px rgba(0, 0, 0, 0.2);
}
@media only screen and (min-width:768px) {
  nav.left_col {
    display:block;
  }
}
body.nav-sm nav.left_col {
  display:block;
  width:70px;
  z-index:9999;
}
nav.menu_fixed {
  position:fixed
}

/* scrollbar */
.left_col .mCSB_dragger {
  max-height:400px !important;
}
.left_col .mCSB_container, .left_col .mCustomScrollBox {
  overflow:visible;
}
/* scrollbar */

/* user section */
.profile {
  margin-bottom:35px;
}
.img-circle.profile_img {
  position:inherit;
  margin-top:20px;
  z-index:1000;
}
.profile_info {
  padding:15px 10px 10px;
}
.profile_info span {
  font-size:13px;
  line-height:30px;
  color:#BAB8B8
}
.profile_info h2 {
  margin:10px 0px 5px;
  font-size:14px;
  font-weight:300;
  text-transform:capitalize;
  color:#ECF0F1;
}
.profile_info h4 {
  margin:5px 0px 0px;
  font-size:12px;
  font-weight:300;
  text-transform:capitalize;
  color:#ECF0F1;
}
/* user section */

/* big menu */
.menu_section {
  margin-bottom:35px
}
.menu_section h3 {
  margin-top:0;
  margin-bottom:10px;
  padding-left:15px;
  font-size:11px;
  font-weight:bold;
  text-transform:uppercase;
  letter-spacing:.5px;
  color:#fff;
}
.main_menu .fa {
  width:26px;
  opacity:.99;
  display:inline-block;
  font-family:FontAwesome;
  font-style:normal;
  font-weight:400;
  font-size:14px;
  -moz-osx-font-smoothing:grayscale;
}
.main_menu span.fa {
  float:right;
  min-width:inherit;
  margin-top:5px;
  font-size:10px;
  text-align:center;
  color:#C4CFDA
}
.main_menu span.fa-angle-right {
  display:none;
}
.menu_section > ul > li > a {
  margin-bottom:6px;
  padding:13px 15px 12px;
  color:#E7E7E7;
}
.menu_section ul li a {
  text-transform:uppercase;
  cursor:pointer;
}
.menu_section ul li a:hover, .menu_section ul li a:focus, .menu_section ul li.open a, .menu_section ul li.active a {
  color:#F2F5F7 !important;
  background:transparent !important;
}
.menu_section ul li li li a:hover {
  text-decoration:underline;
}
.nav.child_menu {
  display:none;
}
body.nav-sm .nav.child_menu {
  box-shadow:4px 0px 0px 0px rgba(0, 0, 0, 0.2);
}
.nav.child_menu li {
  padding-left:36px;
}
ul.side-menu > li > .nav.child_menu > li.open, ul.side-menu > li > .nav.child_menu > li.active, ul.side-menu > li > .nav.child_menu > li:hover {
  background-color:rgba(255, 255, 255, 0.06);
}
body.nav-md .nav.child_menu li:before {
  width:8px;
  height:8px;
  position:absolute;
  right:auto;
  left:23px;
  bottom:auto;
  content:"";
  margin-top:15px;
  border-radius:50%;
  background:#425668;  
  z-index:1;
}
body.nav-md .nav.child_menu li:after {
  position:absolute;
  top:0; 
  left:27px;
  bottom:0;
  content:"";
  border-left:1px solid #425668;
}
.nav.child_menu li > a {
  padding:9px;
  font-size:12px;
  color:rgba(255,255,255,.75);
}
/* big menu */

/* selecred menu */
.nav li.current-page {
  background:rgba(255, 255, 255, 0.05)
}
.nav li li.current-page a {
  color:#fff
}
.nav li li li.current-page {
  background:none
}
.nav li li li.current-page a {
  text-decoration:underline;
}
/* selecred menu */

/* little menu */
.nav-sm .left_col .nav_title {
  display:none;
}
.nav-sm .left_col .profile .profile_pic {
  width:100%;
  text-align:center;
}
.nav-sm .left_col .profile .profile_info {
  display:none;
}
.nav-sm .menu_section h3, .nav-sm ul.nav span.fa-plus-minus {
  display:none;
}
.child_menu .fa-plus-minus {
    margin-right: 6px;
}
.nav-sm ul.nav span.fa-angle-right {
  display:block;
  margin-top:-12px;
}
.nav-sm ul.nav.child_menu {
  display:none;
  position:absolute;
  top:0;
  left:100%;
  width:150px;
  z-index:4000;
  background:#3E5367;
}
.nav-sm ul.nav.child_menu li:hover > ul {
  display:block !important;
}
.nav-sm .nav.side-menu li a {
  padding:13px 0px 12px;
  font-size:10px;
  text-align:center;
}
.nav-sm .nav.child_menu li a {
  padding:13px 0px 12px;
  text-align:left;
}
.nav-sm .nav.side-menu li a span.menu-label {
  display:block;
}
.nav-sm .nav.side-menu li a i {
  margin-bottom:5px;
  font-size:25px !important;
}
/* little menu */
/*** SIDEBAR ***/


/*** CONTENT ***/
body .right_col {
  width:100%;
  float:right;
}
@media only screen and (min-width:768px) {
  body .right_col {
    width:calc(100% - 230px);
  }
}
body.nav-sm .right_col {
  width:calc(100% - 70px);
}
.container {
  width:100%;
  margin-bottom:3rem;
}

/* x panel */
.x_panel {
  width:100%;
  display:inline-block;
  padding:15px 15px;
  border:1px solid #E6E9ED;
  box-shadow:0 2px 10px rgba(0, 0, 0, 0.2);
  -webkit-column-break-inside:avoid;
  -moz-column-break-inside:avoid;
  column-break-inside:avoid;
  opacity:1;
  transition:all .2s ease;
  background:#fff;
}
.x_title {
  border-bottom:1px solid #E6E9ED;
}
.x_title h2, .x_title h3 {
  margin:5px 0 6px;
}
ul.panel_toolbox {
  position:absolute;
  top:15px;
  right:30px;
}
ul.panel_toolbox {
  margin:0px;
  padding:0px;
  list-style:none;
  cursor:pointer;
}
ul.panel_toolbox li {
  float:left;
  margin:0px 0px 0px 1rem;
  padding:0px;
  list-style:none;
  cursor:pointer;
}
ul.panel_toolbox li a {
  padding:5px;
  font-size:14px;
  color:#C5C7CB;
}
.x_content {
  padding-top:2rem;
}
/* x panel */

/* index */
.index-top {
  margin-top:3rem;
}
@media only screen and (max-width:991px) {
  .index-top > div:nth-child(2) {
    margin-top:3rem;
  }
}
/* index */

/* page main container */
.changelist-top {
  margin-bottom:3rem;
}
.changelist-top, .changeform-top, .changehistory-top, .removeform-top {
  margin-top:3rem;
}
/* page main container */

/* changelist */
@media only screen and (max-width:768px) {
  #changelist-search {
    margin-top:3rem;
  }
}
.changelist-top .form-group {
  margin-bottom:0rem;
}
#changelist-form .actions {
  margin-bottom:2rem;
}
#changelist-form .actions select {
  width:auto !important;
  display:inline-block;
}
#changelist-form .actions button {
  margin-top:-4px;
}
#changelist-form .row-selected {
  background-color:rgba(38,185,154,.16) !important;
}
#changelist-form .results {
  overflow-x:auto;
}

.change_list_filter .x_content {
  padding-top:0px;
}
@media only screen and (max-width:768px) {
  .change_list_filter {
    margin-top:3rem;
  }
}
#changelist-filter .changelist-filter-reset {
  margin-top:2rem;
}
#changelist-filter .changelist-filter-reset a {
  cursor:pointer;
}
#changelist-filter .changelist-filter-reset a i {
  font-size:1.5rem;
}
#changelist-filter .changelist-filter-reset a span {
  padding-left:0.5rem;
}
#changelist-filter .changelist-filter-item {
  margin-top:2rem;
}
#changelist-filter .changelist-filter-title {
  margin-top:0px;
  padding-top:0px;
}
#changelist-filter .changelist-filter-title {
  padding-top:0rem;
}
#changelist-filter ul {
  padding-left:20px;
}
#changelist-filter li:hover, #changelist-filter li.selected {
  text-decoration:underline;
}

#changelist-form .results {
  margin-bottom:4rem;
}

#result_list .sorted .text a::after {
  margin-left:0.5rem;
}
#result_list .sorted.ascending .text a::after {
  font-family:FontAwesome;
  content:"\f0d8";
}
#result_list .sorted.descending .text a::after {
  font-family:FontAwesome;
  content:"\f0d7";
}

#result_list .field-action_column .action_column_change, #result_list .field-action_column .action_column_delete {
  display:none;
}

.paginator ul {
  padding:0px;
  list-style:none;
}
.paginator li {
  display:inline;
  list-style:none;
}
.paginator ul li {
  min-width:28px;
  float:left;
  margin:0px;
  padding:0px;
  border:1px solid #dddddd;
  border-left-width:0;
  line-height:26px;
  text-align:center;
  background-color:#ffffff;
  cursor:default;
}
.paginator ul li a, .paginator ul li span {
  display:block;
  padding:0 10px;
  text-decoration:none;
}
.paginator ul li a.this-page, .paginator ul li span.this-page {
  text-align:center;
  font-weight:bold;
  color:#fff;
  background-color:#169F85;
}
.paginator ul li:first-child, .paginator ul li:first-child a.this-page, .paginator ul li:first-child span.this-page {
  border-left-width:1px;
  border-top-left-radius:4px;
  border-bottom-left-radius:4px;
}
.paginator ul li:last-child, .paginator ul li:last-child a.this-page, .paginator ul li:last-child span.this-page {
  border-top-right-radius:4px;
  border-bottom-right-radius:4px;
}
/* changelist */

/* removeform */
.removeform-top .x_content ul {
  margin-left:-20px;
}
.removeform-top .removeform-col1 li, .removeform-top .removeform-col2 li {
  padding-bottom:0.5rem;
}
/* removeform */
/*** CONTENT ***/


/*** FORM & INPUT ***/
.collapse-fieldset h3, .collapse-fieldset h4, .collapse-fieldset h5 {
  display:inline-block;
  cursor:pointer;
}
.collapse-fieldset .fieldset_toggle {
  margin-top:10px;
  font-size:14px;
  color:#C5C7CB;
  cursor:pointer;
}
.submit-row {
  margin-top:4rem;
}

input[type=checkbox].form-control, input[type=radio].form-control {
  width:auto;
  height:auto;
  margin:12px 0px 0px 0px;
}
.select2 .select2-selection.select2-selection--single, .select2 .select2-selection.select2-selection--multiple {
  display:block;
  width:100%;
  height:34px;
  padding:6px 12px;
  border:1px solid #ccc;
  border-radius:4px;
  line-height:1.42857143;
  color:#555;
  font-size:14px;
  background-color:#fff;
  background-image:none;
  -webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
  box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
  -webkit-transition:border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  -o-transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.select2 .select2-selection.select2-selection--multiple {
  padding:0px !important;
}
.select2 .select2-selection.select2-selection--single span, .select2 .select2-selection.select2-selection--multiple span {
  padding:0px !important;
  line-height:inherit !important;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
  background-color:#26B99A !important;
}
.select2 .select2-selection__choice {
  border:1px solid #169F85 !important;
  background-color:#26B99A !important;
  color:white !important;
}
.select2 .select2-selection__choice span {
  color:white !important;
}

.readonly.form-control {
  height:auto;
  padding-left:0px;
  border-width:0px;
  box-shadow:none;
}
    
/* gestione errori */
.control-label.labelRequired:after {
  content:"*";
  color:#a94442;
}

.errors input, .errors textarea, .errors select {
  border-color:#a94442;
}
.errorlist, .errorlist li {
  margin:0px;
  padding:0px;
  list-style:none;
}
.errorlist li {
  padding-top:0.5rem;
  color:#a94442;
}
/* gestione errori */

/* gestione suggerimenti */
.help {
  margin-top:0.5rem;
}
.help ul {
  padding-left:16px;
}
.help pre {
  -moz-tab-size:4;
  -o-tab-size:4;
  tab-size:4;
}

.alert-protected_element {
  margin-top:2rem;
  margin-bottom:0rem;
}
/* gestione suggerimenti */

/* gestione inline-fieldset */
div.inline-related {
  position:relative;
  padding:1rem;
}
div.inline-related:nth-child(even) {
  background:#f9f9f9;
}
div.inline-related.inline-related-remove {
  background:#fdebf0 !important;
}
div.inline-related .inline-related-empty-hover {
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:white;
  opacity:0.6;
  cursor:pointer;
}
/* gestione inline-fieldset */

/* bottoni e pulsanti */
btn {
  border-radius:3px
}
a.btn-success, a.btn-primary, a.btn-warning, a.btn-danger {
  color:#fff
}
.btn-success {
  background:#26B99A;
  border:1px solid #169F85
}
.btn-success:hover, .btn-success:focus, .btn-success:active, .btn-success.active {
  background:#169F85
}
.btn-dark {
  color:#E9EDEF;
  background-color:#4B5F71;
  border-color:#364B5F
}
.btn-dark:hover, .btn-dark:focus, .btn-dark:active, .btn-dark.active {
  color:#FFFFFF;
  background-color:#394D5F;
  border-color:#394D5F
}
/* bottoni e pulsanti */

/* statistiche */
.statistics > div {
  margin-top:0rem;
}
@media (max-width:992px) {
  .statistics > div:nth-of-type(3), .statistics > div:nth-of-type(4) {
    margin-top:3rem;
  }
}
@media (max-width:768px) {
  .statistics > div:nth-of-type(2), .statistics > div:nth-of-type(3), .statistics > div:nth-of-type(4) {
    margin-top:3rem;
  }
}
/* statistiche */

/* aiuti */
.help a, .help a:hover, .help a:visited, .help a:active {
  text-decoration:underline;
}
/* aiuti */
/*** FORM & INPUT ***/


/*** ELEMENTS ***/
.tile_count span {
  font-size:12px;
}
@media (min-width:768px) {
  .tile_count span {
      font-size:13px;
  }
}
.tile_count .count {
  font-size:30px;
  line-height:47px;
  font-weight:600;
}
@media (min-width:768px) {
  .tile_count .count {
    font-size:40px;
  }
}

.alert-info {
  border-color:rgba(52,152,219,.88);
  color:#E9EDEF;
  background-color:rgba(52,152,219,.88);
}
.alert-danger, .alert-error {
  border-color:rgba(231,76,60,.88);
  color:#E9EDEF;
  background-color:rgba(231,76,60,.88);
}

.green {
  color:#1ABB9C;
}
.red {
  color:#E74C3C;
}
/*** ELEMENTS ***/


/*** HEADER ***/
header {
  height:6rem;
  padding:16px 15px 0px 15px;
  border-bottom:1px solid #D9DEE4;
  box-shadow:0 2px 10px rgba(0, 0, 0, 0.2);
  background:white;
}
header a, header a:focus, header a:hover, header a:visited {
  background:transparent;
}
header ul, .header li {
  list-style:none outside none;
}

a.user-profile {
  color:#5E6974 !important
}
a.user-profile img {
  width:29px;
  height:29px;
  border-radius:50%;
  margin-right:10px
}

.dropdown-menu {
  display:none;
  float:left;
  position:absolute;
  top:100%;
  left:0;
  z-index:9998;
  padding:0;
  border:1px solid #D9DEE4;
  border-top-left-radius:0;
  border-top-right-radius:0;
  border:medium none;  
  list-style:none outside none;
  box-shadow:none;
  text-shadow:none;
}
.open .dropdown-menu {
  position:absolute;
  right:0;
  left:auto;
  width:220px;
  margin-top:0;
  border:1px solid #D9DEE4;
  -webkit-box-shadow:none;
  background:#fff;
}
.dropdown-menu li {
  width:100%
}
.dropdown-menu li a {
  width:100%;
  padding:12px 20px;
  color:#5A738E;
  cursor:pointer;
}
.dropdown-menu li a .pull-right {
  padding-top:3px;
}
    
header .toggle {
  width:24px;
  float:left;
  display:inline-block;
}
header .toggle a {
  cursor:pointer
}
header .toggle i {
  font-size:26px
}

header .site_title {
  width:calc(100% - 24px);
  float:right;
  padding-left:2rem;
  font-weight:400;
  font-size:22px;
  text-transform:uppercase;
}
header .site_title:hover, .site_title:focus {
  text-decoration:none
}
/*** HEADER ***/


/*** FOOTER ***/
footer {
  display:block;
  padding:15px 20px;
  background:#fff;
}
footer b {
  display:block;
  margin-top:6px;
}
footer img {
  height:30px;
}
/*** FOOTER ***//*
Bootstrap:
 - Extra small devices Phones (<768px)
 - Small devices Tablets (≥768px)
 - Medium devices Desktops (≥992px)
 - Large devices Desktops (≥1200px)
*/
html, body {
  height:100%;
}
body {
  font-family:'Roboto', Arial, Tahoma, sans-serif;
  font-size:13px;
  font-weight:400;
  line-height:1.471;
  background:#E9E9E9;
  color:#73879C;
}

a {
  text-decoration:none;
  color:#5A738E;
}
a, a:visited, a:focus, a:active, :visited, :focus, :active,
.btn:focus, .btn:active:focus, .btn.active:focus, .btn.focus, .btn:active.focus, .btn.active.focus {
  outline:0;
}
a:hover, a:focus {
  text-decoration:none;
}

/*** SIDEBAR ***/
nav.left_col {
  display:none;
  width:230px;
  height:100%;
  min-height:100%;
  background:linear-gradient(#334556, #2C4257), #2A3F54;
  box-shadow:0 2px 10px rgba(0, 0, 0, 0.2);
}
@media only screen and (min-width:768px) {
  nav.left_col {
    display:block;
  }
}
body.nav-sm nav.left_col {
  display:block;
  width:70px;
  z-index:9999;
}
nav.menu_fixed {
  position:fixed
}

/* scrollbar */
.left_col .mCSB_dragger {
  max-height:400px !important;
}
.left_col .mCSB_container, .left_col .mCustomScrollBox {
  overflow:visible;
}
/* scrollbar */

/* user section */
.profile {
  margin-bottom:35px;
}
.img-circle.profile_img {
  position:inherit;
  margin-top:20px;
  z-index:1000;
}
.profile_info {
  padding:15px 10px 10px;
}
.profile_info span {
  font-size:13px;
  line-height:30px;
  color:#BAB8B8
}
.profile_info h2 {
  margin:10px 0px 5px;
  font-size:14px;
  font-weight:300;
  text-transform:capitalize;
  color:#ECF0F1;
}
.profile_info h4 {
  margin:5px 0px 0px;
  font-size:12px;
  font-weight:300;
  text-transform:capitalize;
  color:#ECF0F1;
}
/* user section */

/* big menu */
.menu_section {
  margin-bottom:35px
}
.menu_section h3 {
  margin-top:0;
  margin-bottom:10px;
  padding-left:15px;
  font-size:11px;
  font-weight:bold;
  text-transform:uppercase;
  letter-spacing:.5px;
  color:#fff;
}
.main_menu .fa {
  width:26px;
  opacity:.99;
  display:inline-block;
  font-family:FontAwesome;
  font-style:normal;
  font-weight:400;
  font-size:14px;
  -moz-osx-font-smoothing:grayscale;
}
.main_menu span.fa {
  float:right;
  min-width:inherit;
  margin-top:5px;
  font-size:10px;
  text-align:center;
  color:#C4CFDA
}
.main_menu span.fa-angle-right {
  display:none;
}
.menu_section > ul > li > a {
  margin-bottom:6px;
  padding:13px 15px 12px;
  color:#E7E7E7;
}
.menu_section ul li a {
  text-transform:uppercase;
  cursor:pointer;
}
.menu_section ul li a:hover, .menu_section ul li a:focus, .menu_section ul li.open a, .menu_section ul li.active a {
  color:#F2F5F7 !important;
  background:transparent !important;
}
.menu_section ul li li li a:hover {
  text-decoration:underline;
}
.nav.child_menu {
  display:none;
}
body.nav-sm .nav.child_menu {
  box-shadow:4px 0px 10px 0px rgba(0, 0, 0, 0.2);
}
.nav.child_menu li {
  padding-left:36px;
}
ul.side-menu > li > .nav.child_menu > li.open, ul.side-menu > li > .nav.child_menu > li.active, ul.side-menu > li > .nav.child_menu > li:hover {
  background-color:rgba(255, 255, 255, 0.06);
}
body.nav-md .nav.child_menu li:before {
  width:8px;
  height:8px;
  position:absolute;
  right:auto;
  left:23px;
  bottom:auto;
  content:"";
  margin-top:15px;
  border-radius:50%;
  background:#425668;  
  z-index:1;
}
body.nav-md .nav.child_menu li:after {
  position:absolute;
  top:0; 
  left:27px;
  bottom:0;
  content:"";
  border-left:1px solid #425668;
}
.nav.child_menu li > a {
  padding:9px;
  font-size:12px;
  color:rgba(255,255,255,.75);
}
/* big menu */

/* selecred menu */
.nav li.current-page {
  background:rgba(255, 255, 255, 0.05)
}
.nav li li.current-page a {
  color:#fff
}
.nav li li li.current-page {
  background:none
}
.nav li li li.current-page a {
  text-decoration:underline;
}
/* selecred menu */

/* little menu */
.nav-sm .left_col .nav_title {
  display:none;
}
.nav-sm .left_col .profile .profile_pic {
  width:100%;
  text-align:center;
}
.nav-sm .left_col .profile .profile_info {
  display:none;
}
.nav-sm .menu_section h3, .nav-sm ul.nav span.fa-plus-minus {
  display:none;
}
.nav-sm ul.nav span.fa-angle-right {
  display:block;
  margin-top:-12px;
}
.nav-sm ul.nav.child_menu {
  display:none;
  position:absolute;
  top:0;
  left:100%;
  width:150px;
  z-index:4000;
  background:#3E5367;
}
.nav-sm ul.nav.child_menu li:hover > ul {
  display:block !important;
}
.nav-sm .nav.side-menu li a {
  padding:13px 0px 12px;
  font-size:10px;
  text-align:center;
}
.nav-sm .nav.child_menu li a {
  padding:13px 0px 12px;
  text-align:left;
}
.nav-sm .nav.side-menu li a span.menu-label {
  display:block;
}
.nav-sm .nav.side-menu li a i {
  margin-bottom:5px;
  font-size:25px !important;
}
/* little menu */
/*** SIDEBAR ***/


/*** CONTENT ***/
body .right_col {
  width:100%;
  float:right;
}
@media only screen and (min-width:768px) {
  body .right_col {
    width:calc(100% - 230px);
  }
}
body.nav-sm .right_col {
  width:calc(100% - 70px);
}
.container {
  width:100%;
  margin-bottom:3rem;
}

/* x panel */
.x_panel {
  width:100%;
  display:inline-block;
  padding:15px 15px;
  border:1px solid #E6E9ED;
  box-shadow:0 2px 10px rgba(0, 0, 0, 0.2);
  -webkit-column-break-inside:avoid;
  -moz-column-break-inside:avoid;
  column-break-inside:avoid;
  opacity:1;
  transition:all .2s ease;
  background:#fff;
}
.x_title {
  border-bottom:1px solid #E6E9ED;
}
.x_title h2, .x_title h3 {
  margin:5px 0 6px;
}
ul.panel_toolbox {
  position:absolute;
  top:15px;
  right:30px;
}
ul.panel_toolbox {
  margin:0px;
  padding:0px;
  list-style:none;
  cursor:pointer;
}
ul.panel_toolbox li {
  float:left;
  margin:0px 0px 0px 1rem;
  padding:0px;
  list-style:none;
  cursor:pointer;
}
ul.panel_toolbox li a {
  padding:5px;
  font-size:14px;
  color:#C5C7CB;
}
.x_content {
  padding-top:2rem;
}
/* x panel */

/* index */
.index-top {
  margin-top:3rem;
}
@media only screen and (max-width:991px) {
  .index-top > div:nth-child(2) {
    margin-top:3rem;
  }
}
/* index */

/* page main container */
.changelist-top {
  margin-bottom:3rem;
}
.changelist-top, .changeform-top, .changehistory-top, .removeform-top {
  margin-top:3rem;
}
/* page main container */

/* changelist */
@media only screen and (max-width:768px) {
  #changelist-search {
    margin-top:3rem;
  }
}
.changelist-top .form-group {
  margin-bottom:0rem;
}
#changelist-form .actions {
  margin-bottom:2rem;
}
#changelist-form .actions select {
  width:auto !important;
  display:inline-block;
}
#changelist-form .actions button {
  margin-top:-4px;
}
#changelist-form .row-selected {
  background-color:rgba(38,185,154,.16) !important;
}
#changelist-form .results {
  overflow-x:auto;
}

.change_list_filter .x_content {
  padding-top:0px;
}
@media only screen and (max-width:768px) {
  .change_list_filter {
    margin-top:3rem;
  }
}
#changelist-filter .changelist-filter-reset {
  margin-top:2rem;
}
#changelist-filter .changelist-filter-reset a {
  cursor:pointer;
}
#changelist-filter .changelist-filter-reset a i {
  font-size:1.5rem;
}
#changelist-filter .changelist-filter-reset a span {
  padding-left:0.5rem;
}
#changelist-filter .changelist-filter-item {
  margin-top:2rem;
}
#changelist-filter .changelist-filter-title {
  margin-top:0px;
  padding-top:0px;
}
#changelist-filter .changelist-filter-title {
  padding-top:0rem;
}
#changelist-filter ul {
  padding-left:20px;
}
#changelist-filter li:hover, #changelist-filter li.selected {
  text-decoration:underline;
}

#changelist-form .results {
  margin-bottom:4rem;
}

#result_list .sorted .text a::after {
  margin-left:0.5rem;
}
#result_list .sorted.ascending .text a::after {
  font-family:FontAwesome;
  content:"\f0d8";
}
#result_list .sorted.descending .text a::after {
  font-family:FontAwesome;
  content:"\f0d7";
}

#result_list .field-action_column .action_column_change, #result_list .field-action_column .action_column_delete {
  display:none;
}

.paginator ul {
  padding:0px;
  list-style:none;
}
.paginator li {
  display:inline;
  list-style:none;
}
.paginator ul li {
  min-width:28px;
  float:left;
  margin:0px;
  padding:0px;
  border:1px solid #dddddd;
  border-left-width:0;
  line-height:26px;
  text-align:center;
  background-color:#ffffff;
  cursor:default;
}
.paginator ul li a, .paginator ul li span {
  display:block;
  padding:0 10px;
  text-decoration:none;
}
.paginator ul li a.this-page, .paginator ul li span.this-page {
  text-align:center;
  font-weight:bold;
  color:#fff;
  background-color:#169F85;
}
.paginator ul li:first-child, .paginator ul li:first-child a.this-page, .paginator ul li:first-child span.this-page {
  border-left-width:1px;
  border-top-left-radius:4px;
  border-bottom-left-radius:4px;
}
.paginator ul li:last-child, .paginator ul li:last-child a.this-page, .paginator ul li:last-child span.this-page {
  border-top-right-radius:4px;
  border-bottom-right-radius:4px;
}
/* changelist */

/* removeform */
.removeform-top .x_content ul {
  margin-left:-20px;
}
.removeform-top .removeform-col1 li, .removeform-top .removeform-col2 li {
  padding-bottom:0.5rem;
}
/* removeform */
/*** CONTENT ***/


/*** FORM & INPUT ***/
.collapse-fieldset h3, .collapse-fieldset h4, .collapse-fieldset h5 {
  display:inline-block;
  cursor:pointer;
}
.collapse-fieldset .fieldset_toggle {
  margin-top:10px;
  font-size:14px;
  color:#C5C7CB;
  cursor:pointer;
}
.submit-row {
  margin-top:4rem;
}

input[type=checkbox].form-control, input[type=radio].form-control {
  width:auto;
  height:auto;
  margin:12px 0px 0px 0px;
}
.select2 .select2-selection.select2-selection--single, .select2 .select2-selection.select2-selection--multiple {
  display:block;
  width:100%;
  height:34px;
  padding:6px 12px;
  border:1px solid #ccc;
  border-radius:4px;
  line-height:1.42857143;
  color:#555;
  font-size:14px;
  background-color:#fff;
  background-image:none;
  -webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
  box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
  -webkit-transition:border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  -o-transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.select2 .select2-selection.select2-selection--multiple {
  padding:0px !important;
}
.select2 .select2-selection.select2-selection--single span, .select2 .select2-selection.select2-selection--multiple span {
  padding:0px !important;
  line-height:inherit !important;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
  background-color:#26B99A !important;
}
.select2 .select2-selection__choice {
  border:1px solid #169F85 !important;
  background-color:#26B99A !important;
  color:white !important;
}
.select2 .select2-selection__choice span {
  color:white !important;
}

.readonly.form-control {
  height:auto;
  padding-left:0px;
  border-width:0px;
  box-shadow:none;
}
    
/* gestione errori */
.control-label.labelRequired:after {
  content:"*";
  color:#a94442;
}

.errors input, .errors textarea, .errors select {
  border-color:#a94442;
}
.errorlist, .errorlist li {
  margin:0px;
  padding:0px;
  list-style:none;
}
.errorlist li {
  padding-top:0.5rem;
  color:#a94442;
}
/* gestione errori */

/* gestione suggerimenti */
.help {
  margin-top:0.5rem;
}
.help ul {
  padding-left:16px;
}
.help pre {
  -moz-tab-size:4;
  -o-tab-size:4;
  tab-size:4;
}

.alert-protected_element {
  margin-top:2rem;
  margin-bottom:0rem;
}
/* gestione suggerimenti */

/* gestione inline-fieldset */
div.inline-related {
  position:relative;
  padding:1rem;
}
div.inline-related:nth-child(even) {
  background:#f9f9f9;
}
div.inline-related.inline-related-remove {
  background:#fdebf0 !important;
}
div.inline-related .inline-related-empty-hover {
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:white;
  opacity:0.6;
  cursor:pointer;
}
/* gestione inline-fieldset */

/* bottoni e pulsanti */
btn {
  border-radius:3px
}
a.btn-success, a.btn-primary, a.btn-warning, a.btn-danger {
  color:#fff
}
.btn-success {
  background:#26B99A;
  border:1px solid #169F85
}
.btn-success:hover, .btn-success:focus, .btn-success:active, .btn-success.active {
  background:#169F85
}
.btn-dark {
  color:#E9EDEF;
  background-color:#4B5F71;
  border-color:#364B5F
}
.btn-dark:hover, .btn-dark:focus, .btn-dark:active, .btn-dark.active {
  color:#FFFFFF;
  background-color:#394D5F;
  border-color:#394D5F
}
/* bottoni e pulsanti */

/* statistiche */
.statistics > div {
  margin-top:0rem;
}
@media (max-width:992px) {
  .statistics > div:nth-of-type(3), .statistics > div:nth-of-type(4) {
    margin-top:3rem;
  }
}
@media (max-width:768px) {
  .statistics > div:nth-of-type(2), .statistics > div:nth-of-type(3), .statistics > div:nth-of-type(4) {
    margin-top:3rem;
  }
}
/* statistiche */

/* aiuti */
.help a, .help a:hover, .help a:visited, .help a:active {
  text-decoration:underline;
}
/* aiuti */
/*** FORM & INPUT ***/


/*** ELEMENTS ***/
.tile_count span {
  font-size:12px;
}
@media (min-width:768px) {
  .tile_count span {
      font-size:13px;
  }
}
.tile_count .count {
  font-size:30px;
  line-height:47px;
  font-weight:600;
}
@media (min-width:768px) {
  .tile_count .count {
    font-size:40px;
  }
}

.alert-info {
  border-color:rgba(52,152,219,.88);
  color:#E9EDEF;
  background-color:rgba(52,152,219,.88);
}
.alert-danger, .alert-error {
  border-color:rgba(231,76,60,.88);
  color:#E9EDEF;
  background-color:rgba(231,76,60,.88);
}

.green {
  color:#1ABB9C;
}
.red {
  color:#E74C3C;
}
/*** ELEMENTS ***/


/*** HEADER ***/
header {
  height:6rem;
  padding:16px 15px 0px 15px;
  border-bottom:1px solid #D9DEE4;
  box-shadow:0 2px 10px rgba(0, 0, 0, 0.2);
  background:white;
}
header a, header a:focus, header a:hover, header a:visited {
  background:transparent;
}
header ul, .header li {
  list-style:none outside none;
}

a.user-profile {
  color:#5E6974 !important
}
a.user-profile img {
  width:29px;
  height:29px;
  border-radius:50%;
  margin-right:10px
}

.dropdown-menu {
  display:none;
  float:left;
  position:absolute;
  top:100%;
  left:0;
  z-index:9998;
  padding:0;
  border:1px solid #D9DEE4;
  border-top-left-radius:0;
  border-top-right-radius:0;
  border:medium none;  
  list-style:none outside none;
  box-shadow:none;
  text-shadow:none;
}
.open .dropdown-menu {
  position:absolute;
  right:0;
  left:auto;
  width:220px;
  margin-top:0;
  border:1px solid #D9DEE4;
  -webkit-box-shadow:none;
  background:#fff;
}
.dropdown-menu li {
  width:100%
}
.dropdown-menu li a {
  width:100%;
  padding:12px 20px;
  color:#5A738E;
  cursor:pointer;
}
.dropdown-menu li a .pull-right {
  padding-top:3px;
}
    
header .toggle {
  width:24px;
  float:left;
  display:inline-block;
}
header .toggle a {
  cursor:pointer
}
header .toggle i {
  font-size:26px
}

header .site_title {
  width:calc(100% - 24px);
  float:right;
  padding-left:2rem;
  font-weight:400;
  font-size:22px;
  text-transform:uppercase;
}
header .site_title:hover, .site_title:focus {
  text-decoration:none
}
/*** HEADER ***/


/*** FOOTER ***/
footer {
  display:block;
  padding:15px 20px;
  background:#fff;
}
footer b {
  display:block;
  margin-top:6px;
}
footer img {
  height:30px;
}
/*** FOOTER ***/


/*** UTILITY ***/
.noPadding {
  padding:0px;
}
.clear {
  clear:both
}
/*** UTILITY ***/